Support Center

I have an older iPod/iPhone. Will unGlue work?

Last Updated: Sep 11, 2017 06:16PM PDT

unGlue supports iOS devices with operating systems version 9.0 and up! Please check to make sure you have a compatible device.


 

Contact Us

560e66b46356ac57bf82a926226eb86f@unglue.desk-mail.com
http://assets1.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete